Join for Free  |  Login

Back

Will ProSelect Run on my Mac?

The latest ProSelect release (2020r1 at the time of writing) requires Mac OSX 10.11 (El Capitan) or newer and 8GB+ of RAM memory.

If you have an older model Mac with an earlier version of OSX then you may be able to upgrade it to at least this version of OSX.

What is the latest OSX version I can run?

To find this out:

1. Open the About the Mac window (under the Apple Menu) and make a note of the model and year of your Mac. The layout of this window may be a little different on your machine. Here is the one from Mojave:

2. Go to this EveryMac.com page and look for your computer. The right-side will show the maximum version of OSX that you can run or "Current" if it will run the latest OSX version.

Can I upgrade the amount of memory?

Many recently made Macs laptops can not upgraded with more memory but earlier models usually have replaceable memory which is pretty inexpensive to upgrade. Go to MacSales.com to see what the options are for your computer.

If you are upgrading your memory, consider also upgrading your hard disk to an SSD drive - this will make an old machine seem new. MacSales.com also sells these and they have great instructional videos on how to install your new drive.

Also, see this article for more on making things faster: Optimizing ProSelects speed 

Where can I download the latest version of OSX that my computer can run?

See this Apple Support page: How to get old versions of macOS

Other OSX upgrade considerations

You should be aware that upgrading to OSX 10.15 (Catalina), OSX 11 (Big Sur) or newer will prevent you from running older 32-bit applications. If you have some of these apps that you can no longer get upgrades for then you may wish to limit your upgrade to OSX 10.14 (Mojave). 

See this Apple Insider page for how to identify any 32-bit application that you have installed.

What about Older versions of ProSelect?

The download older versions page on TimeExposure.com lists wish versions of ProSelect will run on different versions of OSX. 

Please note that you should run the same major version of ProSelect on all computers at your location to avoid data compatibility issues with your setup data and album formats. That is, they all should be running the latest update for either 2019r1, 2019r2, 2020r1 etc.

 

Related Articles

ProSelect on Mac OSX 10.15 Catalina & newer

ProSelect on OSX 11 (Big Sur) 

 

 

 



  KnowledgeBase Article: Will ProSelect Run on my Mac?